Package org.eclipse.m2m.atl.engine.extractors

## Interface Extractor

All Known Implementing Classes:
  `TCSExtractor`, `XMLExtractor`

    public interface Extractor

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `extract​(ASMModel source, java.io.OutputStream target, java.util.Map params)` Performs the extraction.
`void` `extract​(ASMModel format, ASMModel extent, java.io.OutputStream out)` Deprecated. The other extract method should be used instead.
`java.util.Map` `getParameterTypes()` returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value.
`java.lang.String` `getPrefix()` Deprecated. This information should be in a megamodel.

### Method Detail

#### getParameterTypes

    java.util.Map getParameterTypes()

returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

#### extract

    void extract​(ASMModel source,
                 java.io.OutputStream target,
                 java.util.Map params)

Performs the extraction.

Parameters:
  `source` - The model to extract.
  `target` - The target OutputStream. Note that other target kinds can be used using params.
  `params` - A Map of additional parameters. The key is the name of the parameter.

#### getPrefix

    java.lang.String getPrefix()

Deprecated.
This information should be in a megamodel.

#### extract

    void extract​(ASMModel format,
                 ASMModel extent,
                 java.io.OutputStream out)

Deprecated.
The other extract method should be used instead.

Parameters:
  `format` -
  `extent` -
  `out` -